commit:     df10c6849372769adac61b48c0a0bc1d29b23e29
Author:     Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Wed Feb  9 16:33:57 2022 +0000
Commit:     Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Wed Feb  9 16:35:08 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=df10c684

sys-cluster/singularity: add 3.8.6

Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>

 sys-cluster/singularity/Manifest                 |  1 +
 sys-cluster/singularity/singularity-3.8.6.ebuild | 71 ++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/sys-cluster/singularity/Manifest b/sys-cluster/singularity/Manifest
index 4b0ea9e7a0b2..c72ec8d05d74 100644
--- a/sys-cluster/singularity/Manifest
+++ b/sys-cluster/singularity/Manifest
@@ -1 +1,2 @@
 DIST singularity-3.8.5.tar.gz 7898598 BLAKE2B 
3cf76734d6208340d8562f3d3d67f95c507bad3fad6797d82aed39aa39288385ca02d62854f3dddcfc1a1e3056e7485f27e6081c152b853c682ca8e3a587cf3a
 SHA512 
857761f47528a841a3cf11b49583ab7e8a2d137703e1826ff194011abba3334ed06859219e0c457f352304e7b18f1c493a8b337cc5df67981eb428c567d0ac5f
+DIST singularity-3.8.6.tar.gz 8183514 BLAKE2B 
be82b610c2a6647b4d74894e4095b1b58499ea00d9a7b491cdc1aa1b097e5d27bc8f8c43f9898ce1ea7b1866ce5734a6b487a17ac8081dfb89441c92bc2de343
 SHA512 
dd20a083505503d274d075574c4efaa4e59829d751d4836a7ba9095b9e88c3ce83e2203a194ede42e2c3dba22ed16546f97d980e7ba05021b94ec3dfa6ee309f

diff --git a/sys-cluster/singularity/singularity-3.8.6.ebuild 
b/sys-cluster/singularity/singularity-3.8.6.ebuild
new file mode 100644
index 000000000000..8e1480027bc4
--- /dev/null
+++ b/sys-cluster/singularity/singularity-3.8.6.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit linux-info toolchain-funcs
+
+DESCRIPTION="Application containers for Linux"
+HOMEPAGE="https://sylabs.io";
+SRC_URI="https://github.com/apptainer/${PN}/releases/download/v${PV}/${P}.tar.gz";
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples +network +suid"
+
+# Do not complain about CFLAGS etc. since go projects do not use them.
+QA_FLAGS_IGNORED='.*'
+
+COMMON="sys-libs/libseccomp"
+BDEPEND="virtual/pkgconfig"
+DEPEND="${COMMON}
+       >=dev-lang/go-1.16.12
+       app-crypt/gpgme
+       dev-libs/openssl
+       sys-apps/util-linux
+       sys-fs/cryptsetup"
+RDEPEND="${COMMON}
+       sys-fs/squashfs-tools"
+
+CONFIG_CHECK="~SQUASHFS"
+
+src_configure() {
+       local myconfargs=(
+               -c "$(tc-getBUILD_CC)" \
+               -x "$(tc-getBUILD_CXX)" \
+               -C "$(tc-getCC)" \
+               -X "$(tc-getCXX)" \
+               --prefix="${EPREFIX}"/usr \
+               --sysconfdir="${EPREFIX}"/etc \
+               --runstatedir="${EPREFIX}"/run \
+               --localstatedir="${EPREFIX}"/var \
+               $(usex network "" "--without-network") \
+               $(usex suid "" "--without-suid")
+       )
+       ./mconfig -v ${myconfargs[@]} || die "Error invoking mconfig"
+}
+
+src_compile() {
+       emake -C builddir
+}
+
+src_install() {
+       emake DESTDIR="${D}" -C builddir install
+       keepdir /var/singularity/mnt/session
+
+       # As of version 3.5.3 this seems to be very much broken, affecting
+       # commands which have got nothing to do with singularity (example:
+       # completion on 'udisks mount -b /dev/' rejects all files from that
+       # directory other than 'autofs'). Moreover, this should go into
+       # $(get_bashcompdir) (from bash-completion-r1.eclass) rather than /etc.
+       # Hopefully temporary, which is why we delete this at install time
+       # instead of patching build scripts not to generate bash-completion
+       # data in the first place.
+       rm -rf "${ED}"/etc/bash_completion.d || die
+
+       dodoc README.md CONTRIBUTORS.md CONTRIBUTING.md
+       if use examples; then
+               dodoc -r examples
+       fi
+}

Reply via email to